Loading...
Searching...
No Matches
BALL::PolarSolvation Class Reference

`#include <BALL/SCORING/COMPONENTS/polarSolvation.h>`

Inheritance diagram for BALL::PolarSolvation:

## Classes

struct | Option
struct | Default

## Public Types

enum | CalculationMethod { CALCULATION__FRESNO , CALCULATION__FULL_SLICK , CALCULATION__FULL_CYCLE , CALCULATION__FULL_CYCLE_FOCUSED , CALCULATION__COULOMB , CALCULATION__EEF1 }
enum | AveragingMethod { AVERAGING__NONE , AVERAGING__STATIC , AVERAGING__RANDOM_FACTOR , AVERAGING__RANDOM }

## Public Member Functions

Constructors and Destructors
| PolarSolvation ()
| PolarSolvation (ScoringFunction &sf)
| PolarSolvation (const PolarSolvation &fhb)
virtual | ~PolarSolvation ()
Assignment
const PolarSolvation & | operator= (const PolarSolvation &fr)
virtual void | clear ()
Predicates.
bool | operator== (const PolarSolvation &fr) const
Setup Methods
virtual bool | setup ()
void | update (const vector< std::pair< Atom *, Atom * > > &)
virtual double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

SLICK polar solvation component \ {\bf Definition:} \URL{BALL/SCORING/COMPONENTS/polarSolvation.h}

Definition at line 16 of file polarSolvation.h.

## Member Enumeration Documentation

## AveragingMethod

enum BALL::PolarSolvation::AveragingMethod

Averaging methods for model 0 and 3

Enumerator
AVERAGING__NONE | No averaging will be done.
AVERAGING__STATIC | The grid of the PB solver will be translated a bit in every direction by a fixed length.
AVERAGING__RANDOM_FACTOR | The grid of the PB solver will be translated a bit in every direction by a randomly chosen length (not yet implemented).
AVERAGING__RANDOM | The grid of the PB solver will be translated a bit in every direction by different randomly chosen length (not yet implemented).

Definition at line 53 of file polarSolvation.h.

## CalculationMethod

enum BALL::PolarSolvation::CalculationMethod

Enumerator
CALCULATION__FRESNO |
CALCULATION__FULL_SLICK |
CALCULATION__FULL_CYCLE |
CALCULATION__FULL_CYCLE_FOCUSED |
CALCULATION__COULOMB |
CALCULATION__EEF1 |

Definition at line 22 of file polarSolvation.h.

## Constructor & Destructor Documentation

## PolarSolvation() [1/3]

BALL::PolarSolvation::PolarSolvation | ( |  | ) |

Default constructor.

## PolarSolvation() [2/3]

BALL::PolarSolvation::PolarSolvation | ( | ScoringFunction & | sf | ) |

Constructor.

## PolarSolvation() [3/3]

BALL::PolarSolvation::PolarSolvation | ( | const PolarSolvation & | fhb | ) |

Copy constructor

## ~PolarSolvation()

virtual BALL::PolarSolvation::~PolarSolvation | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::PolarSolvation::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## operator=()

const PolarSolvation & BALL::PolarSolvation::operator= | ( | const PolarSolvation & | fr | ) |

Assignment.

## operator==()

bool BALL::PolarSolvation::operator== | ( | const PolarSolvation & | fr | ) | const

## setup()

virtual bool BALL::PolarSolvation::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::PolarSolvation::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

virtual double BALL::PolarSolvation::updateScore | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ScoringComponent.